summaryrefslogtreecommitdiff
path: root/test/integration/test-apt-progress-fd-deb822
diff options
context:
space:
mode:
authorMichael Vogt <mvo@debian.org>2013-11-23 09:13:30 +0100
committerMichael Vogt <mvo@debian.org>2013-11-23 09:13:30 +0100
commit7d2428e03c1fdae79488b9ecd53cc5257b2a0c13 (patch)
tree81209b60212c997452fd74cf184b8ca5445e8bc0 /test/integration/test-apt-progress-fd-deb822
parentf62f17b489405432a3125e51471d8a00e78c5170 (diff)
parent61f954bff040809e7ab57b3adec2fe95339ffb94 (diff)
Merge branch 'debian/sid' into ubuntu/master
Conflicts: debian/changelog
Diffstat (limited to 'test/integration/test-apt-progress-fd-deb822')
-rwxr-xr-xtest/integration/test-apt-progress-fd-deb82264
1 files changed, 64 insertions, 0 deletions
diff --git a/test/integration/test-apt-progress-fd-deb822 b/test/integration/test-apt-progress-fd-deb822
new file mode 100755
index 000000000..9d227942d
--- /dev/null
+++ b/test/integration/test-apt-progress-fd-deb822
@@ -0,0 +1,64 @@
+#!/bin/sh
+set -e
+
+TESTDIR=$(readlink -f $(dirname $0))
+. $TESTDIR/framework
+
+setupenvironment
+configarchitecture 'amd64' 'i386'
+
+buildsimplenativepackage 'testing' 'amd64' '0.1' 'stable'
+buildsimplenativepackage 'testing' 'all' '0.8.15' 'stable'
+buildsimplenativepackage 'testing2' 'amd64,i386' '0.8.15' 'stable'
+setupaptarchive
+
+# install native
+exec 3> apt-progress.log
+testsuccess aptget install testing=0.1 -y -o APT::Status-deb822-Fd=3
+
+testequal "Status: progress
+Percent: 0
+Message: Running dpkg
+
+Status: progress
+Package: testing:amd64
+Percent: 0
+Message: Installing testing (amd64)
+
+Status: progress
+Package: testing:amd64
+Percent: 20
+Message: Preparing testing (amd64)
+
+Status: progress
+Package: testing:amd64
+Percent: 40
+Message: Unpacking testing (amd64)
+
+Status: progress
+Package: testing:amd64
+Percent: 60
+Message: Preparing to configure testing (amd64)
+
+Status: progress
+Percent: 60
+Message: Running dpkg
+
+Status: progress
+Package: testing:amd64
+Percent: 60
+Message: Configuring testing (amd64)
+
+Status: progress
+Package: testing:amd64
+Percent: 80
+Message: Configuring testing (amd64)
+
+Status: progress
+Package: testing:amd64
+Percent: 100
+Message: Installed testing (amd64)
+" cat apt-progress.log
+
+
+rm -f apt-progress*.log